<?php
/*
* @package		SEO Banners
* @copyright	Copyright (C) 2012 Emir Sakic, http://www.sakic.net. All rights reserved.
* @license		GNU/GPL, see LICENSE.TXT
*
* This program is free software; you can redistribute it and/or modify it
* under the terms of the GNU General Public License as published by the
* Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
* 
* This header must not be removed. Additional contributions/changes
* may be added to this header as long as no information is deleted.
*/

class SeoBannersRouter extends JRouter
{
	public function &build(&$siteRouter, &$uri)
	{
		$url = $uri->toString();
		$path = $uri->getPath();
		$query = $uri->getQuery();
		
		if (stristr($query, 'option=com_banners&')) {
			$uri->setPath($url);
			$uri->setQuery('');
		}
		
		return $uri;
	}
}